#
# spec file for package system-role-basic-desktop
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-basic-desktop repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name basic-desktop
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-basic-desktop
AutoReqProv:    off
Version:        15.4.0
Release:        150400.1.7
Summary:        Basic desktop role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLED
Provides:       installer_module_extension() = system-role-basic-desktop

%description
Meta package for basic desktop role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Wed Nov  7 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Mon Feb 26 2018 fcrozat@suse.com
- Fix description (bsc#1082685)
- 15.0.3
* Fri Jan 26 2018 fcrozat@suse.com
- Fix order (FATE#324198).
- 15.0.2
* Wed Jan 24 2018 fcrozat@suse.com
- Update description according to FATE#324198.
- Do not change partition proposal (FATE#324198).
- 15.0.1
* Thu Nov 30 2017 gsouza@suse.com
- Initial package (needed for having roles in their own package for
  different modules) bsc#1049297.
- 15.0.0
